Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 722)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 723)
@@ -100,19 +100,19 @@
 
 	// PARAMETERS
 	/**
-	 * The fmax filter value parameter.
+	 * Maximum frequency filter value.
 	 */
 	@Parameter(key=IndexPreferences.F_MAX)
-	protected Integer pFmaxFilter;
+	protected int pFmaxFilter;
 	
 	/**
-	 * The fmin filter value parameter.
+	 * Minimum frequency filter value.
 	 */
 	@Parameter(key=IndexPreferences.F_MIN)
-	protected Integer pFminFilter;
+	protected int pFminFilter;
 	
 	/**
-	 * The number of lines shown per page parameter.
+	 * Number of lines to display per page.
 	 */
 	@Parameter(key=IndexPreferences.N_LINES_PER_PAGE)
 	protected Integer pNLinesPerPage;
@@ -120,7 +120,7 @@
 	/**
 	 * The word properties shown.
 	 */
-	@Parameter
+	@Parameter(key=IndexPreferences.PROPERTIES)
 	protected List<Property> pProperties;
 	
 	/**
@@ -132,7 +132,7 @@
 	/**
 	 * The CQP query.
 	 */
-	@Parameter
+	@Parameter(key=IndexPreferences.QUERY)
 	protected Query pQuery;
 	
 	/**
@@ -464,27 +464,29 @@
 
 
 	/**
-	 * remove linen which frequency is not in the [Fmin,Fmax] interval parameters.
+	 * Removes lines with frequency not in [Fmin,Fmax] range.
 	 *
 	 **/
 	public void filterLines() {
-		if (pFminFilter == null && pFmaxFilter == null) return;
-		if (!(pFminFilter > 0 && pFmaxFilter > 0 && pFminFilter <= pFmaxFilter)) return;
+		
+		if (!(pFminFilter > 0 && pFmaxFilter > 0 && pFminFilter <= pFmaxFilter)) {
+			return;
+		}
 
-		Log.info("Filtering Fmin="+pFminFilter+" and Fmax="+pFmaxFilter);
+		Log.info("Filtering Fmin = " + pFminFilter + " and Fmax = " + pFmaxFilter); //$NON-NLS-1$  //$NON-NLS-2$
 
 		for (int i = 0; i < lines.size(); i++) { // for each line
 
 			Line line = lines.get(i);
 			int f = line.getFrequency();
-			if (pFminFilter != null && f < pFminFilter) { // if its frequency is not in the interval, remove it
+			if (f < pFminFilter) { // if its frequency is not in the interval, remove it
 
 				nTotalTokens -= line.getFrequency();
 				lines.remove(i);
 				i--;
 				continue; // no need to go further the line is removed
 			}
-			if (pFmaxFilter != null && f > pFmaxFilter) { // if its frequency is not in the interval, remove it
+			if (f > pFmaxFilter) { // if its frequency is not in the interval, remove it
 
 				nTotalTokens -= line.getFrequency();
 				lines.remove(i);
Index: tmp/org.txm.index.core/src/org/txm/index/core/preferences/IndexPreferences.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/preferences/IndexPreferences.java	(revision 722)
+++ tmp/org.txm.index.core/src/org/txm/index/core/preferences/IndexPreferences.java	(revision 723)
@@ -5,6 +5,7 @@
 import org.osgi.framework.FrameworkUtil;
 import org.osgi.service.prefs.Preferences;
 import org.txm.core.preferences.TXMPreferences;
+import org.txm.core.results.Parameter;
 
 /**
  * Preferences initializer and manager.
@@ -20,11 +21,35 @@
 	
 	public static final String PROPERTIES = PREFERENCES_PREFIX + "properties"; //$NON-NLS-1$
 	public static final String QUERY = PREFERENCES_PREFIX + "query"; //$NON-NLS-1$
+	
+	/**
+	 * Minimum frequency filter value.
+	 */
 	public static final String F_MIN = PREFERENCES_PREFIX + "f_min"; //$NON-NLS-1$
+	
+	/**
+	 * Maximum frequency filter value.
+	 */
 	public static final String F_MAX = PREFERENCES_PREFIX + "f_max"; //$NON-NLS-1$
+	
+	/**
+	 * V max filter. 
+	 */
 	public static final String V_MAX = PREFERENCES_PREFIX + "v_max"; //$NON-NLS-1$
+	
+	/**
+	 * Number of lines to display per page.
+	 */
 	public static final String N_LINES_PER_PAGE = PREFERENCES_PREFIX + "n_lines_per_page"; //$NON-NLS-1$
+	
+	/**
+	 * 
+	 */
 	public static final String PROPERTIES_SEPARATOR = PREFERENCES_PREFIX + "properties_separator"; //$NON-NLS-1$
+	
+	/**
+	 * 
+	 */
 	public static final String N_TOP_INDEX = PREFERENCES_PREFIX + "n_top_index"; //$NON-NLS-1$
 
 	@Override
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 722)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 723)
@@ -334,6 +334,14 @@
 
 
 	/**
+	 * Gets a chart creator for this chart result according to its current type and current charts engine. 
+	 * @return
+	 */
+	public ChartCreator getChartCreator()	{
+		return this.chartsEngine.getChartCreator(this);
+	}
+	
+	/**
 	 * @param chartType the chartType to set
 	 */
 	public void setChartType(String chartType) {
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 722)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 723)
@@ -38,14 +38,6 @@
 	public final static String extensionPointId = "org.txm.chartsengine.chartsengine"; //$NON-NLS-1$
 	
 	/**
-	 * Chart type constants.
-	 */
-	@Deprecated
-	// FIXME: became useless since the ChartResult is stored in the renderer
-	public final static int CHART_TYPE_PARTITION_DIMENSIONS = 0, CHART_TYPE_SPECIFICITIES = 1, CHART_TYPE_PROGRESSION = 2, CHART_TYPE_CA_FACTORIAL_MAP = 3, CHART_TYPE_CA_SINGULAR_VALUES = 4,
-			CHART_TYPE_CAH_2D = 5, CHART_TYPE_CAH_3D = 6;
-
-	/**
 	 * Constants for output formats and file extensions.
 	 */
 	public final static String OUTPUT_FORMAT_JPEG = "jpeg", OUTPUT_FORMAT_PDF = "pdf", OUTPUT_FORMAT_PNG = "png", OUTPUT_FORMAT_PS = "ps", OUTPUT_FORMAT_SVG = "svg", OUTPUT_FORMAT_BMP = "bmp", OUTPUT_FORMAT_GIF = "gif";
@@ -158,16 +150,6 @@
 
 	
 	/**
-	 *  Gets a chart creator for the specified result data type.
-	 * @param resultDataType
-	 * @return
-	 */
-	public ChartCreator getChartCreator(Class resultDataType)	{
-		return this.getChartCreator(resultDataType);
-	}
-
-	
-	/**
 	 * Gets a list of all installed chart creators for the specified result. 
 	 * @param resultDataType
 	 * @return
Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/editors/SynopticEditionEditor.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/editors/SynopticEditionEditor.java	(revision 722)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/editors/SynopticEditionEditor.java	(revision 723)
@@ -880,7 +880,7 @@
 	}
 
 	/**
-	 * Clear all highlighted words
+	 * Clears all highlighted words.
 	 */
 	public void removeHighlightWords() {
 		for (EditionPanel p : editionPanels.values()) {
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/ReferencePattern.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/ReferencePattern.java	(revision 722)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/ReferencePattern.java	(revision 723)
@@ -186,7 +186,7 @@
 				title += p.getName()+", "; //$NON-NLS-1$
 		}
 		if (title.length() == 0)
-			title = TXMCoreMessages.ReferencePattern_3;
+			title = TXMCoreMessages.common_reference;
 		else
 			title = title.substring(0, title.length()-2);
 		return title;
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPEngine.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPEngine.java	(revision 722)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPEngine.java	(revision 723)
@@ -200,7 +200,7 @@
 				System.out.println("Failed to load CQP corpora of "+b.getName()+" corpus.");
 			}
 		}
-		System.out.println(TXMCoreMessages.DONE);
+		System.out.println(TXMCoreMessages.common_done);
 
 		return state;
 	}
Index: tmp/org.txm.referencer.core/src/org/txm/referencer/core/messages/ReferencerCoreMessages.java
===================================================================
--- tmp/org.txm.referencer.core/src/org/txm/referencer/core/messages/ReferencerCoreMessages.java	(revision 0)
+++ tmp/org.txm.referencer.core/src/org/txm/referencer/core/messages/ReferencerCoreMessages.java	(revision 723)
@@ -0,0 +1,30 @@
+package org.txm.referencer.core.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+/**
+ * Referencer core messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class ReferencerCoreMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.referencer.core.messages.messages"; //$NON-NLS-1$
+	
+	
+	public static String Referencer_1;
+	public static String Referencer_2;
+	
+	
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, ReferencerCoreMessages.class);
+	}
+	
+	
+	
+}

Index: tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java
===================================================================
--- tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java	(revision 722)
+++ tmp/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java	(revision 723)
@@ -56,10 +56,10 @@
 import java.util.List;
 import java.util.Map;
 
-import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
 import org.txm.core.results.TXMResult;
+import org.txm.referencer.core.messages.ReferencerCoreMessages;
 import org.txm.referencer.core.preferences.ReferencerPreferences;
 import org.txm.searchengine.cqp.AbstractCqiClient;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
@@ -76,7 +76,10 @@
 import org.txm.utils.logger.Log;
 
 /**
- * The Class Referencer computes the references of a query
+ * The Class Referencer computes the references of a query
+ * 
+ * @author xxx?
+ * @author sjacquot
  */
 public class Referencer extends TXMResult  {
 
@@ -121,19 +124,19 @@
 	
 	
 	/** The hierarchic sort. */
-	@Parameter(key=ReferencerPreferences.SORT_BY_FREQ)
-	private boolean pHierarchicSort;
+	@Parameter(key=ReferencerPreferences.SORT_BY_FREQUENCIES)
+	protected boolean pHierarchicSort;
 	
-	@Parameter
-	List<StructuralUnitProperty> pPattern;
+	@Parameter(key=ReferencerPreferences.PATTERN)
+	protected List<StructuralUnitProperty> pPattern;
 	
 	/** The prop. */
-	@Parameter
-	Property pProperty;
+	@Parameter(key=ReferencerPreferences.UNIT_PROPERTY)
+	protected Property pProperty;
 
 	/** The query. */
-	@Parameter
-	Query pQuery;
+	@Parameter(key=ReferencerPreferences.QUERY)
+	protected Query pQuery;
 
 	
 	
@@ -197,30 +200,33 @@
 	}
 
 	/**
-	 * Clear all lines.
+	 * Clears all lines.
 	 */
-	public void clearAllLines()
-	{
-		for(Line line : lines) { // we need to recompute lines' references
+	public void clearAllLines()	{
+		for(Line line : lines) { // we need to recompute lines references
 			line.clear();
 		}
 	}
 
 	/**
-	 * Call in order all stages to compute the referencer.
+	 * Calls in order all stages to compute the referencer.
 	 *
 	 * @return true, if successful
-	 */
+	 */
+	@Override
 	protected boolean _compute() {
 		try {
-			if (!getQueryMatches())
-				return false;
+			if (!getQueryMatches()) {
+				return false;
+			}
 
-			if (!getQueryindexes())
-				return false;
+			if (!getQueryindexes()) {
+				return false;
+			}
 
-			if (!groupPositionsbyId())
+			if (!groupPositionsbyId()) {
 				return false;
+			}
 		}
 		catch(CqiClientException e) {
 			e.printStackTrace();
@@ -252,8 +258,7 @@
 	 * @throws IOException Signals that an I/O exception has occurred.
 	 * @throws CqiServerError the cqi server error
 	 */
-	public List<Line> getLines() throws CqiClientException, IOException, CqiServerError
-	{
+	public List<Line> getLines() throws CqiClientException, IOException, CqiServerError {
 		return getLines(0,lines.size());
 	}
 
@@ -267,19 +272,19 @@
 	 * @throws IOException Signals that an I/O exception has occurred.
 	 * @throws CqiServerError the cqi server error
 	 */
-	public List<Line> getLines(int from, int to) throws CqiClientException, IOException, CqiServerError
-	{
-		if (from < 0)
-			from = 0;
-		if (to > lines.size())
-			to = lines.size();
+	public List<Line> getLines(int from, int to) throws CqiClientException, IOException, CqiServerError {
+		if (from < 0) {
+			from = 0;
+		}
+		if (to > lines.size()) {
+			to = lines.size();
+		}
 
 		HashMap<Integer, Line> lineswithoutpropvalue = new HashMap<Integer, Line>();
 
 		AbstractCqiClient cqiClient = CorpusManager.getCorpusManager().getCqiClient();
 		//build Missing lines
-		for(int i = from ; i < to ; i++)// for each position group
-		{
+		for(int i = from ; i < to ; i++) { // for each position group
 			Line l = lines.get(i);
 			if (l.notcomputed) {
 				lineswithoutpropvalue.put(l.id, l);
@@ -397,10 +402,10 @@
 	 * @throws CqiClientException 
 	 */
 	public boolean getQueryMatches() throws CqiClientException{
-
-		result = this.getCorpus().query(pQuery, TXMCoreMessages.Referencer_1, false);
-		if (result.getNMatch() == 0)
-			return false;
+		result = this.getCorpus().query(pQuery, ReferencerCoreMessages.Referencer_1, false);
+		if (result.getNMatch() == 0) {
+			return false;
+		}
 		matches = result.getMatches();
 		result.drop();
 		return true;
@@ -501,7 +506,7 @@
 			// if ("UTF-8".equals(encoding)) writer.write('\ufeff'); // UTF-8 BOM
 			toTxt(writer, 0, lines.size() - 1, colseparator, txtseparator);
 		} catch (Exception e) {
-			System.err.println(TXMCoreMessages.Referencer_2 + Log.toString(e));
+			System.err.println(ReferencerCoreMessages.Referencer_2 + Log.toString(e));
 			return false;
 		}
 		return true;
@@ -559,12 +564,8 @@
 	@Override
 	public boolean loadParameters() throws CqiClientException {
 		this.pQuery = new Query(this.getStringParameterValue(ReferencerPreferences.QUERY));
-
-		String s = this.getStringParameterValue(ReferencerPreferences.PATTERN);
-		this.pPattern = StructuralUnitProperty.fromStringToList(getCorpus(), s);
-
-		s = this.getStringParameterValue(ReferencerPreferences.PROPERTY);
-		this.pProperty = getCorpus().getProperty(s);
+		this.pPattern = StructuralUnitProperty.fromStringToList(this.getCorpus(), this.getStringParameterValue(ReferencerPreferences.PATTERN));
+		this.pProperty = this.getCorpus().getProperty(this.getStringParameterValue(ReferencerPreferences.UNIT_PROPERTY));
 		return true;
 	}
 
Index: tmp/org.txm.referencer.core/src/org/txm/referencer/core/preferences/ReferencerPreferences.java
===================================================================
--- tmp/org.txm.referencer.core/src/org/txm/referencer/core/preferences/ReferencerPreferences.java	(revision 722)
+++ tmp/org.txm.referencer.core/src/org/txm/referencer/core/preferences/ReferencerPreferences.java	(revision 723)
@@ -5,26 +5,33 @@
 import org.osgi.service.prefs.Preferences;
 import org.txm.core.preferences.TXMPreferences;
 
+/**
+ * Default preferences.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
 public class ReferencerPreferences extends TXMPreferences {
 
-public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(ReferencerPreferences.class).getSymbolicName();
+	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(ReferencerPreferences.class).getSymbolicName();
 
-	/** The Constant SORTBYFREQ. */
-	//FIXME: to extract to referencer plug-in
-	public static final String SORT_BY_FREQ = "sorttype"; //$NON-NLS-1$
+	public static final String PREFERENCES_PREFIX = "referencer_"; //$NON-NLS-1$
+	
+	
+	public static final String SORT_BY_FREQUENCIES = PREFERENCES_PREFIX + "sort_by_frequencies"; //$NON-NLS-1$
+	public static final String QUERY = PREFERENCES_PREFIX + "query"; //$NON-NLS-1$
+	public static final String UNIT_PROPERTY = PREFERENCES_PREFIX + "unit_property"; //$NON-NLS-1$
+	public static final String PATTERN = PREFERENCES_PREFIX + "pattern"; //$NON-NLS-1$
 
-	public static final String QUERY = "query"; //$NON-NLS-1$
-	public static final String PROPERTY = "property"; //$NON-NLS-1$
-	public static final String PATTERN = "pattern"; //$NON-NLS-1$
-
 	@Override
 	public void initializeDefaultPreferences() {
 		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
 
-		preferences.putBoolean(SORT_BY_FREQ, false); //$NON-NLS-1$
+		preferences.putBoolean(SORT_BY_FREQUENCIES, false);
 
 		preferences.put(QUERY, ""); //$NON-NLS-1$
-		preferences.put(PROPERTY, "word"); //$NON-NLS-1$
+		preferences.put(UNIT_PROPERTY, "word"); //$NON-NLS-1$
 		preferences.put(PATTERN, "text_id"); //$NON-NLS-1$
 	}
 }
Index: tmp/org.txm.libs.cqp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.libs.cqp/META-INF/MANIFEST.MF	(revision 722)
+++ tmp/org.txm.libs.cqp/META-INF/MANIFEST.MF	(revision 723)
@@ -3,7 +3,6 @@
 Bundle-Name: CQP libs
 Bundle-SymbolicName: org.txm.libs.cqp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
-Bundle-Activator: org.txm.libs.cqp.Activator
 Require-Bundle: org.txm.utils;bundle-version="1.0.0";visibility:=reexport,
  org.txm.core;visibility:=reexport
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Index: tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/preferences/LexicalTablePreferences.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/preferences/LexicalTablePreferences.java	(revision 722)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/preferences/LexicalTablePreferences.java	(revision 723)
@@ -22,22 +22,22 @@
 	public static final String PREFERENCES_PREFIX = "lexical_table_"; //$NON-NLS-1$
 
 	/**
-	 * The minimal occurrence frequency to show in the table.
+	 * Minimum occurrence frequency to display in table.
 	 */
 	public static final String F_MIN = PREFERENCES_PREFIX + "f_min"; //$NON-NLS-1$
 	
 	/**
-	 * The maximum number of lines to show in the table
+	 * Maximum number of lines to display in table.
 	 */
 	public static final String V_MAX = PREFERENCES_PREFIX + "v_max"; //$NON-NLS-1$
 	
 	/**
-	 * The property to count
+	 * Unit property to count.
 	 */
-	public static final String PROPERTY = PREFERENCES_PREFIX + "property"; //$NON-NLS-1$
+	public static final String UNIT_PROPERTY = PREFERENCES_PREFIX + "unit_property"; //$NON-NLS-1$
 	
 	/**
-	 * if true the table computed from an Index will use all the occurrences from the corpus to add the #RESTE# line composed of the others words
+	 * If true, the table computed from an Index will use all the occurrences from the corpus to add the #RESTE# line composed of the others words
 	 */
 	public static final String USE_ALL_OCCURRENCES = PREFERENCES_PREFIX + "use_all_occurrences"; //$NON-NLS-1$
 	
@@ -46,7 +46,7 @@
 		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
 		preferences.putInt(F_MIN, 2);
 		preferences.putInt(V_MAX, 200);
-		preferences.put(PROPERTY, "word"); //$NON-NLS-1$
+		preferences.put(UNIT_PROPERTY, DEFAULT_UNIT_PROPERTY);
 		preferences.putBoolean(USE_ALL_OCCURRENCES, true);
 	}
 	
Index: tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/r/data/LexicalTableImpl.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/r/data/LexicalTableImpl.java	(revision 722)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/r/data/LexicalTableImpl.java	(revision 723)
@@ -51,7 +51,6 @@
 import cern.colt.Arrays;
 import cern.colt.matrix.DoubleFactory2D;
 import cern.colt.matrix.DoubleMatrix2D;
-//import org.txm.functions.queryindex.*;
 
 
 
Index: tmp/org.txm.core/src/java/org/txm/ToolboxOld.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/ToolboxOld.java	(revision 722)
+++ tmp/org.txm.core/src/java/org/txm/ToolboxOld.java	(revision 723)
@@ -424,10 +424,9 @@
 			if (workspace == null || workspace.getProject("default") == null) { //$NON-NLS-1$
 				Log.severe(TXMCoreMessages.Toolbox_14 + location); 
 				stateWorkspace = false;
-				System.out.println(TXMCoreMessages.FAILED);
 				return false;
 			} else {
-				System.out.println(TXMCoreMessages.DONE);
+				System.out.println(TXMCoreMessages.common_done);
 			}
 		} catch (Exception e) {
 			System.err.println(TXMCoreMessages.Toolbox_workspace_init_failed + TXMPreferences.getString(TBXPreferences.PREFERENCES_NODE, TBXPreferences.WORKSPACE_LOCATION)); 
Index: tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 722)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 723)
@@ -1,6 +1,7 @@
 package org.txm.core.messages;
 
 import org.eclipse.osgi.util.NLS;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.utils.messages.Utf8NLS;
 
 /**
@@ -29,7 +30,7 @@
 	public static String common_delete;
 	public static String common_ok;
 	public static String common_mode;
-	
+	public static String common_numberOfLines;
 	public static String common_pleaseWait;
 
 	public static String error_error;
@@ -40,20 +41,19 @@
 	public static String ApplicationWorkbenchAdvisor_6;
 	
 	public static String PROPERTY_1;
+	public static String common_lowestFrequency;
+	
 
-	public static String FMIN_1;
+	public static String common_fMin;
 	public static String FMIN_2;
 	public static String FMAX_1;
 	public static String FMAX_2;
 	public static String VMAX_1;
-	public static String QUERY_1;
+	public static String common_query;
 	public static String T;
 	public static String V;
-	public static String COMPUTE_DONE_NO_RESULT;
-
 	
-	public static String FAILED;
-	public static String DONE;			
+	public static String common_done;
 	public static String AbsoluteFrequency_1;
 	public static String AbstractCqiClient_2;
 	public static String Base_0;
@@ -94,15 +94,10 @@
 	public static String Corpus_3;
 	public static String Corpus_4;
 	public static String Corpus_5;
-	public static String Corpus_6;
-	public static String Corpus_7;
 	public static String Corpus_8;
 	public static String CqiClient_0;
-	public static String CqiClient_1;
-	public static String CqiClient_3;
 	public static String CqiClient_32;
 	public static String CqiClient_33;
-	public static String CqiClient_34;
 	public static String CwbEncode_0;
 	public static String CwbEncode_21;
 	public static String CwbEncode_23;
@@ -114,14 +109,10 @@
 	public static String CwbProcess_3;
 	public static String CwbProcess_4;
 	public static String CwbProcess_5;
-	public static String DOUBLE_VECTOR_ADDED_TO_WORKSPACE;
 	public static String DROP_PARTITION;
 	public static String DROP_QUERYRESULT;
 	public static String DROP_SUBCORPUS;
-	public static String END_SUBCORPUS_LEXICON;
 	public static String END_SUBCORPUS_SIZE;
-	public static String EVALUATED_EXPRESSION;
-	public static String FAILED_INIT_CONNECTION_R;
 	public static String FilterManager_0;
 	public static String FilterManager_1;
 	public static String Filter_7;
@@ -129,13 +120,9 @@
 	public static String GroovyImportScriptRunner_0;
 	public static String GroovyImportScriptRunner_1;
 	public static String GroovyImportScriptRunner_3;
-	public static String INT_VECTOR_ADDED_TO_WORKSPACE;
 
 	public static String LEXICON;
-	public static String LEXICON_ADDED;
-	public static String MATRIX_ADDED_TO_WORKSPACE;
 	public static String MainCorpus_0;
-	public static String MainCorpus_1;
 	public static String MainCorpus_2;
 	public static String MemCqiClient_0;
 	public static String MemCqiClient_1;
@@ -153,7 +140,6 @@
 	public static String NetCqiClient_97;
 	public static String NetCqiServer_0;
 	public static String NetCqiServer_1;
-	public static String PACKAGE_LOADED;
 	public static String PARTITION_CREATED;
 	public static String PART_CREATED;
 	public static String Page_3;
@@ -161,14 +147,9 @@
 	public static String PartitionFocus_2;
 	public static String PartitionFocus_3;
 	public static String PartitionFocus_4;
-	public static String Partition_1;
 	public static String Partition_18;
-	public static String Partition_2;
 	public static String Partition_21;
-	public static String Partition_4;
 	public static String Partition_9;
-	public static String PatchCwbRegistry_0;
-	public static String PatchCwbRegistry_1;
 	public static String PatchCwbRegistry_13;
 	public static String PatchCwbRegistry_16;
 	public static String PatchCwbRegistry_2;
@@ -185,26 +166,17 @@
 	public static String Project_1;
 	public static String Project_10;
 	public static String Project_11;
-	public static String Project_12;
-	public static String Project_13;
 	public static String Project_14;
 	public static String Project_15;
-	public static String Project_16;
 	public static String Project_17;
 	public static String Project_18;
 	public static String Project_2;
-	public static String Project_25;
 	public static String Project_26;
-	public static String Project_27;
 	public static String Project_28;
-	public static String Project_3;
 	public static String Project_31;
-	public static String Project_4;
-	public static String Project_5;
 	public static String Project_6;
 	public static String Project_7;
 	public static String Project_8;
-	public static String Project_9;
 	public static String QUERY;
 	public static String QUERYING_PARTITION;
 	public static String QueryIndex_2;
@@ -220,41 +192,24 @@
 	public static String READ_2D_INT_ARRAY_FROM_CQI_SERVER;
 	public static String READ_BOOLEAN_FROM_CQI_SERVER;
 	public static String READ_BYTE_FROM_CQI_SERVER;
-	public static String READ_HEADER_FROM_CQI_SERVER;
 	public static String READ_INTEGER_FROM_CQI_SERVER;
 	public static String READ_INT_ARRAY_FROM_CQI_SERVER;
 	public static String READ_STRING_ARRAY_FROM_CQI_SERVER;
 	public static String READ_STRING_FROM_CQI_SERVER;
-	public static String RETURNING_CACHED_LEXICON;
-	public static String RETURN_FROM_QUERY;
-	public static String ReferencePattern_3;
-	public static String Referencer_1;
-	public static String Referencer_2;
+	public static String common_reference;
 	public static String RelativeFrequency_3;
-	public static String SERVER_STARTED;
 	public static String SERVER_STOPED;
-	public static String STARTING_SERVER;
 	public static String STOPING_SERVER;
 	public static String SUBCORPUS_CREATED;
 	public static String SUBCORPUS_LEXICON;
 	public static String SUBCORPUS_SIZE;
-	public static String Selection_0;
-	public static String Selection_1;
-	public static String Selection_2;
 	public static String Selection_26;
-	public static String Selection_3;
-	public static String Selection_4;
 	public static String Selection_5;
 	public static String Selection_6;
 	public static String Selection_7;
 	public static String Selection_8;
 	public static String Selection_9;
-	public static String StreamGobbler_0;
-	public static String StreamGobbler_1;
-	public static String StreamGobbler_2;
-	public static String StreamGobbler_3;
 	public static String StructuralUnitProperty_0;
-	public static String Subcorpus_1;
 	public static String Subcorpus_2;
 	public static String Subcorpus_3;
 	public static String Summary_13;
@@ -279,24 +234,19 @@
 	public static String TigerXmlIndexing_6;
 	public static String TigerXmlIndexing_7;
 	public static String Toolbox_0;
-	public static String Toolbox_1;
 	public static String Toolbox_10;
-	public static String Toolbox_11;
 	public static String Toolbox_12;
 	public static String Toolbox_14;
 	public static String Toolbox_15;
 	public static String Toolbox_16;
 	public static String Toolbox_17;
 	public static String Toolbox_18;
-	public static String Toolbox_2;
-	public static String Toolbox_21;
 	public static String Toolbox_22;
 	public static String Error_CONNECTION_FAILED;
 
 	public static String Toolbox_27;
 	public static String Toolbox_28;
 	public static String Toolbox_29;
-	public static String Toolbox_3;
 	public static String Toolbox_30;
 	public static String Toolbox_31;
 	public static String Toolbox_33;
@@ -306,42 +256,19 @@
 	public static String Toolbox_39;
 	public static String Toolbox_4;
 	public static String Toolbox_40;
-	public static String Toolbox_7;
-	public static String Toolbox_8;
-	public static String Toolbox_9;
 	public static String Toolbox_connected_to_corpus_sever;
-	public static String Toolbox_wait_failed;
 	public static String Toolbox_workspace_init;
 	public static String Toolbox_workspace_init_failed;
 	public static String Toolbox_wrong_port;
-	public static String TxmObject_0;
-	public static String TxmObject_1;
 	public static String TxmObject_2;
-	public static String TxmRenderer_1;
-	public static String TxmRenderer_5;
-	public static String TxmRenderer_6;
-	public static String TxmRenderer_7;
-	public static String VARIABLE_REMOVED;
 	public static String ValidateXml_0;
 	public static String ValidateXml_1;
 	public static String ValidateXml_2;
 	public static String ValidateXml_3;
-	public static String WORKSPACE_PURGED;
-	public static String Workspace_0;
-	public static String Workspace_1;
-	public static String Workspace_10;
 	public static String Workspace_2;
-	public static String Workspace_26;
-	public static String Workspace_27;
-	public static String Workspace_28;
-	public static String Workspace_29;
 	public static String Workspace_3;
-	public static String Workspace_30;
-	public static String Workspace_31;
 	public static String Workspace_4;
-	public static String Workspace_5;
 	public static String Workspace_6;
-	public static String Workspace_7;
 	public static String Workspace_8;
 	
 	
